#
# spec file for package nodejs-nopt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name nopt

Name:           nodejs-nopt
Version:        3.0.2
Release:        12.1
Summary:        Option parser
License:        ISC
Group:          Development/Libraries/Other
Url:            https://github.com/isaacs/nopt
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Option parse module for JavaScript

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json lib bin \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/
mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/nopt/bin/nopt.js %{buildroot}%{_bindir}/nopt

%files
%defattr(-,root,root,-)
%doc LICENSE README.md examples
%{nodejs_modulesdir}/%{base_name}
%{_bindir}/nopt

%changelog
* Sat Jun  6 2015 i@marguerite.su
- update version 3.0.2
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Thu Aug 14 2014 jgleissner@suse.com
- update to 3.0.1
- spec file cleanup
* Wed Jan 29 2014 rschweikert@suse.com
- Initial build
